package importantedto.growedto.umbrellaedto

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import importantedto.afteredto.constitutionaledto.Interferenceedto
import importantedto.gallonedto.Rideredto.event
import importantedto.growedto.umbrellaedto.Appleedto.sendNotification
import org.json.JSONObject

class Lionedto : BroadcastReceiver() {
    override fun onReceive(context: Context, intent: Intent) {
        val requestId = intent.extras?.getString("requestID")
        if (!requestId.isNullOrEmpty()) {
            val json = JSONObject()
            json.put("requestID", requestId)
            event("FCM_Received", ext = json)
        }
        sendNotification(Interferenceedto.context, "Fcm")
    }
}